Index: .hgsubstate
===================================================================
--- .hgsubstate	(revision 1983)
+++ .hgsubstate	(revision 1860)
@@ -1,1 +1,1 @@
-19ba094ceed74d06ddd0593332cb4d1a7d12c243 inc/libs/clearbricks
+d56b02c87260d4e54872c54fba979e03c0b5422b inc/libs/clearbricks
Index: admin/auth.php
===================================================================
--- admin/auth.php	(revision 1949)
+++ admin/auth.php	(revision 1781)
@@ -25,5 +25,4 @@
 if ($dlang != 'en' && preg_match('/^[a-z]{2}(-[a-z]{2})?$/',$dlang))
 {
-	l10n::lang($dlang);
 	l10n::set(dirname(__FILE__).'/../locales/'.$dlang.'/main');
 }
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 2028)
+++ admin/blog_pref.php	(revision 1848)
@@ -64,20 +64,4 @@
 # Status combo
 $status_combo = dcAdminCombos::getBlogStatusescombo();
-
-# Date format combo
-$now = time();
-$date_formats = array('%G-%m-%d', '%m/%d/%G', '%d/%m/%G', '%G/%m/%d','%d.%m.%G', '%b %e %G', '%e %b %G', '%G %b %e',
-'%a, %G-%m-d', '%a, %m/%d/%G', '%a, %d/%m/%G', '%a, %G/%m/%d', '%B %e, %G', '%e %B, %G', '%G, %B %e', '%e. %B %G',
-'%A, %B %e, %G', '%A, %e %B, %G', '%A, %G, %B %e','%A, %G, %B %e', '%A, %e. %B %G');
-$time_formats = array('%H:%M','%I:%M','%l:%M', '%Hh%M', '%Ih%M', '%lh%M');
-$date_formats_combo = array('' => '');
-foreach ($date_formats as $format) {
-    $date_formats_combo[dt::str($format, $now)] = $format;
-}
-$time_formats_combo = array('' => '');
-foreach ($time_formats as $format) {
-    $time_formats_combo[dt::str($format, $now)] = $format;
-}
-
 
 # URL scan modes
@@ -313,5 +297,5 @@
 	echo
 	'<div class="multi-part" id="params" title="'.__('Parameters').'">'.
-	'<h3 class="out-of-screen-if-js">'.__('Parameters').'</h3>'.
+	'<h3>'.__('Parameters').'</h3>'.
 	'<form action="'.$action.'" method="post" id="blog-form">';
 	
@@ -342,42 +326,35 @@
 		form::combo('url_scan',$url_scan_combo,$blog_settings->system->url_scan).'</p>';
 		
-		try
-		{
-			# Test URL of blog by testing it's ATOM feed
-			$file = $blog_url.$core->url->getURLFor('feed','atom');
-			$path = '';
-			$status = '404';
-			$content = '';
-
-			$client = netHttp::initClient($file,$path);
-			if ($client !== false) {
-				$client->setTimeout(4);
-				$client->setUserAgent($_SERVER['HTTP_USER_AGENT']);
-				$client->get($path);
-				$status = $client->getStatus();
-				$content = $client->getContent();
-			}
-			if ($status != '200') {
-				// Might be 404 (URL not found), 670 (blog not online), ...
+		# Test URL of blog by testing it's ATOM feed
+		$file = $blog_url.$core->url->getURLFor('feed','atom');
+		$path = '';
+		$status = '404';
+		$content = '';
+		$client = netHttp::initClient($file,$path);
+		if ($client !== false) {
+			$client->setTimeout(4);
+			$client->setUserAgent($_SERVER['HTTP_USER_AGENT']);
+			$client->get($path);
+			$status = $client->getStatus();
+			$content = $client->getContent();
+		}
+		if ($status != '200') {
+			// Might be 404 (URL not found), 670 (blog not online), ...
+			echo
+			'<p class="form-note warn">'.
+			sprintf(__('The URL of blog or the URL scan method might not be well set (<code>%s</code> return a <strong>%s</strong> status).'),
+					$file,$status).
+			'</p>';
+		} else {
+			if (substr($content,0,6) != '<?xml ') {
+				// Not well formed XML feed
 				echo
 				'<p class="form-note warn">'.
-				sprintf(__('The URL of blog or the URL scan method might not be well set (<code>%s</code> return a <strong>%s</strong> status).'),
-						$file,$status).
+				sprintf(__('The URL of blog or the URL scan method might not be well set (<code>%s</code> does not return an ATOM feed).'),
+						$file).
 				'</p>';
-			} else {
-				if (substr($content,0,6) != '<?xml ') {
-					// Not well formed XML feed
-					echo
-					'<p class="form-note warn">'.
-					sprintf(__('The URL of blog or the URL scan method might not be well set (<code>%s</code> does not return an ATOM feed).'),
-							$file).
-					'</p>';
-				}
 			}
 		}
-		catch (Exception $e)
-		{
-			$core->error->add($e->getMessage());
-		}
+
 		echo
 		'<p><label for="blog_status">'.__('Blog status:').'</label>'.
@@ -460,8 +437,8 @@
 	form::checkbox('comments_pub','1',!$blog_settings->system->comments_pub).
 	__('Moderate comments').'</label></p>'.	
-	'<p><label for="comments_ttl" class="classic">'.sprintf(__('Leave comments open for %s days').'.',
+	'<p><label for="comments_ttl" class="classic">'.sprintf(__('Leave comments open for %s days'),
 	form::field('comments_ttl',2,3,$blog_settings->system->comments_ttl)).
 	'</label></p>'.
-	'<p class="form-note">'.__('No limit: leave blank.').'</p>'.	
+	'<p class="form-note">'.__('Leave blank to disable this feature.').'</p>'.	
 	'<p><label for="wiki_comments" class="classic">'.
 	form::checkbox('wiki_comments','1',$blog_settings->system->wiki_comments).
@@ -476,7 +453,7 @@
 	form::checkbox('trackbacks_pub','1',!$blog_settings->system->trackbacks_pub).
 	__('Moderate trackbacks').'</label></p>'.	
-	'<p><label for="trackbacks_ttl" class="classic">'.sprintf(__('Leave trackbacks open for %s days').'.',
+	'<p><label for="trackbacks_ttl" class="classic">'.sprintf(__('Leave trackbacks open for %s days'),
 	form::field('trackbacks_ttl',2,3,$blog_settings->system->trackbacks_ttl)).'</label></p>'.
-	'<p class="form-note">'.__('No limit: leave blank.').'</p>'.	
+	'<p class="form-note">'.__('Leave blank to disable this feature.').'</p>'.	
 	'<p><label for="comments_nofollow" class="classic">'.
 	form::checkbox('comments_nofollow','1',$blog_settings->system->comments_nofollow).
@@ -493,15 +470,11 @@
 	'<div class="two-cols">'.
 	'<div class="col">'.
-	'<p><label for="date_format">'.__('Date format:').'</label> '.
+	'<p><label for="date_format">'.__('Date format:').'</label>'.
 	form::field('date_format',30,255,html::escapeHTML($blog_settings->system->date_format)).
-	form::combo('date_format_select',$date_formats_combo,'','','',false,'title="'.__('Pattern of date').'"').
-	'</p>'.
-	'<p class="chosen form-note">'.__('Sample:').' '.dt::str(html::escapeHTML($blog_settings->system->date_format)).'</p>'.
-
+	'</p>'.
+	
 	'<p><label for="time_format">'.__('Time format:').'</label>'.
 	form::field('time_format',30,255,html::escapeHTML($blog_settings->system->time_format)).
-	form::combo('time_format_select',$time_formats_combo,'','','',false,'title="'.__('Pattern of time').'"').
-	'</p>'.
-	'<p class="chosen form-note">'.__('Sample:').' '.dt::str(html::escapeHTML($blog_settings->system->time_format)).'</p>'.
+	'</p>'.
 	
 	'<p><label for="use_smilies" class="classic">'.
@@ -532,9 +505,5 @@
 	
 	echo
-	'<div class="fieldset"><h4 id="medias-settings">'.__('Media and images').'</h4>'.
-		'<p class="form-note warning">'.
-	__('Please note that if you change current settings bellow, they will now apply to all new images in the media manager.').
-	' '.__('Be carefull if you share it with other blogs in your installation.').'</p>'.
-
+	'<div class="fieldset"><h4>'.__('Media and images').'</h4>'.
 	'<div class="two-cols">'.
 	'<div class="col">'.
@@ -624,5 +593,5 @@
 	echo
 	'<div class="multi-part" id="users" title="'.__('Users').'">'.
-	'<h3 class="out-of-screen-if-js">'.__('Users on this blog').'</h3>';
+	'<h3>'.__('Users on this blog').'</h3>';
 	
 	if (empty($blog_users))
@@ -682,14 +651,8 @@
 				'<ul>';
 				if ($v['super']) {
-					echo '<li class="user_super">'.__('Super administrator').'<br />'.
-					'<span class="form-note">'.__('All rights on all blogs.').'</span></li>';
+					echo '<li class="user_super">'.__('Super administrator').'</li>';
 				} else {
 					foreach ($v['p'] as $p => $V) {
-						echo '<li '.($p == 'admin' ? 'class="user_admin"' : '').'>'.__($perm_types[$p]);
-
-						if($p == 'admin') {
-							echo '<br /><span class="form-note">'.__('All rights on this blog.').'</span>';
-						}
-						echo '</li>';
+						echo '<li '.($p == 'admin' ? 'class="user_admin"' : '').'>'.__($perm_types[$p]).'</li>';
 					}
 				}
Index: admin/blogs.php
===================================================================
--- admin/blogs.php	(revision 2002)
+++ admin/blogs.php	(revision 1668)
@@ -31,5 +31,5 @@
 $order = !empty($_GET['order']) ? $_GET['order'] : 'desc';
 
-$page = !empty($_GET['page']) ? max(1,(integer) $_GET['page']) : 1;
+$page = !empty($_GET['page']) ? $_GET['page'] : 1;
 $nb_per_page =  30;
 
@@ -128,10 +128,10 @@
 	else
 	{
-		$pager = new dcPager($page,$nb_blog,$nb_per_page,10);
+		$pager = new pager($page,$nb_blog,$nb_per_page,10);
+		$pager->var_page = 'page';
 		
-		echo $pager->getLinks();
+		echo '<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 		
 		echo
-		'<div class="table-outer">'.
 		'<table class="clear"><caption class="hidden">'.__('Blogs list').'</caption><tr>'.
 		'<th scope="col" class="nowrap">'.__('Blog id').'</th>'.
@@ -146,7 +146,7 @@
 		}
 		
-		echo '</table></div>';
+		echo '</table>';
 		
-		echo $pager->getLinks();
+		echo '<p class="pagination">'.__('Page(s)').' : '.$pager->getLinks().'</p>';
 	}
 }
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 1988)
+++ admin/categories.php	(revision 1760)
@@ -16,32 +16,8 @@
 
 # Remove a categories
-if (!empty($_POST['delete'])) {
-	$keys = array_keys($_POST['delete']);
-	$cat_id = (int) $keys[0];
-
-	# Check if category to delete exists
-	$c = $core->blog->getCategory((integer) $cat_id);
-	if ($c->isEmpty()) {
-		http::redirect('categories.php?unknown=1');
-	}
-	unset($c);
-
-	try {
-		# Delete category
-		$core->blog->delCategory($cat_id);
-		http::redirect('categories.php?del=1');
-	} catch (Exception $e) {
-		$core->error->add($e->getMessage());
-	}
-}
-
-# move post into a category
-if (!empty($_POST['mov']) && !empty($_POST['mov_cat'])) {
+if (!empty($_POST['categories']) && !empty($_POST['delete'])) {
 	try {
 		# Check if category where to move posts exists
-		$keys = array_keys($_POST['mov']);
-		$cat_id = (int) $keys[0];
-		$mov_cat = (int) $_POST['mov_cat'][$cat_id];
-		
+		$mov_cat = (int) $_POST['mov_cat'];
 		$mov_cat = $mov_cat ? $mov_cat : null;
 		if ($mov_cat !== null) {
@@ -51,10 +27,27 @@
 			}
 			unset($c);
-		}
-		# Move posts
-		if ($mov_cat != $cat_id) {
-			$core->blog->changePostsCategory($cat_id,$mov_cat);
-		}
-		http::redirect('categories.php?move=1');
+
+			if (in_array($mov_cat, $_POST['categories'])) {
+				throw new Exception(__('The entries cannot be moved to the category you choose to delete.'));
+			}
+		}
+
+		foreach ($_POST['categories'] as $cat_id) {
+			# Check if category to delete exists
+			$c = $core->blog->getCategory((integer) $cat_id);
+			if ($c->isEmpty()) {
+				continue;
+			}
+			unset($c);
+
+			# Move posts
+			if ($mov_cat != $cat_id) {
+			        $core->blog->changePostsCategory($cat_id,$mov_cat);
+			}
+
+			# Delete category
+			$core->blog->delCategory($cat_id);
+		}
+		http::redirect('categories.php?del='.count($_POST['categories']));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -112,16 +105,13 @@
 
 if (!empty($_GET['del'])) {
-	dcPage::success(__('The category has been successfully removed.'));
+        dcPage::success(__('The category has been successfully removed.',
+			   'The categories have been successfully removed.',
+			   (int) $_GET['del']
+			   )
+			);
 }
 if (!empty($_GET['reord'])) {
 	dcPage::success(__('Categories have been successfully reordered.'));
 }
-if (!empty($_GET['unknown'])) {
-	dcPage::error(__('This category does not exist.'));
-}
-if (!empty($_GET['move'])) {
-	dcPage::success(__('Entries have been successfully moved to the category you choose.'));
-}
-
 $categories_combo = dcAdminCombos::getCategoriesCombo($rs);
 
@@ -144,5 +134,5 @@
 	while ($rs->fetch())
 	{
-		$attr = 'id="cat_'.$rs->cat_id.'" class="cat-line clearfix"';
+		$attr = 'id="cat_'.$rs->cat_id.'"';
 
 		if ($rs->level > $level) {
@@ -156,29 +146,12 @@
 		}
 
-		echo   
-		'<p><label class="classic" for="cat_'.$rs->cat_id.'"><a href="category.php?id='.$rs->cat_id.'">'.html::escapeHTML($rs->cat_title).'</a></label> </p>'.
-		'<p>(<a href="posts.php?cat_id='.$rs->cat_id.'">'.
+		echo
+		'<p>'.
+		form::checkbox(array('categories[]','cat-'.$rs->cat_id),$rs->cat_id,null,$rs->nb_total>0?'notempty':'').
+		'<label class="classic" for="cat-'.$rs->cat_id.'"><a href="category.php?id='.$rs->cat_id.'">'.html::escapeHTML($rs->cat_title).'</a></label>'.
+		' (<a href="posts.php?cat_id='.$rs->cat_id.'">'.
 		sprintf(($rs->nb_post > 1 ? __('%d entries') : __('%d entry') ),$rs->nb_post).'</a>'.
-		', '.__('total:').' '.$rs->nb_total.')</p>'.
-		'<p><span class="cat-url">'.__('URL:').' <code>'.html::escapeHTML($rs->cat_url).'</code></span></p>';
-
-		echo
-		'<p class="cat-buttons">';
-		if ($rs->nb_total>0) {
-			// remove current category
-			echo
-			'<label>'.__('Move entries to').'</label> '.			   
-			form::combo(array('mov_cat['.$rs->cat_id.']', 'mov_cat_'.$rs->cat_id),array_filter($categories_combo, create_function('$cat', 'return $cat->value!=$GLOBALS[\'rs\']->cat_id;')),'','').
-			' <input type="submit" class="reset" name="mov['.$rs->cat_id.']" value="'.__('OK').'"/>';
-		   
-			$attr_disabled = ' disabled="disabled"';
-			$input_class = 'disabled ';
-		} else {
-			$attr_disabled = '';
-			$input_class = '';
-		}
-		echo 
-		'<input type="submit"'.$attr_disabled.' class="'.$input_class.'delete" name="delete['.$rs->cat_id.']" value="'.__('Delete category').'"/>'.
-		'</p>';
+		', '.__('total:').' '.$rs->nb_total.') '.
+		'<span class="cat-url">'.__('URL:').' <code>'.html::escapeHTML($rs->cat_url).'</code></span></p>';
 
 		$level = $rs->level;
@@ -191,21 +164,33 @@
 	'</div>';
 
-	echo '<div class="clear">';
+	echo
+	'<div class="two-cols">'.
+	'<p class="col checkboxes-helpers"></p>'.
+	'<p class="col right" id="mov-cat">'.
+	'<label for="mov_cat" class="classic">'.__('Category where entries of deleted categories will be moved:').'</label> '.
+	form::combo('mov_cat',$categories_combo,'','').
+	'</p>'.
+	'<p class="right">'.
+	'<input type="submit" class="delete" name="delete" value="'.__('Delete selected categories').'"/>'.
+	'</p>'.
+	'</div>';
+
+	echo '<div class="fieldset"><h3 class="clear hidden-if-no-js">'.__('Categories order').'</h3>';
 
 	if ($core->auth->check('categories',$core->blog->id) && $rs->count()>1) {
 		if (!$core->auth->user_prefs->accessibility->nodragdrop) {
-			echo '<p class="form-note hidden-if-no-js">'.__('To rearrange categories order, move items by drag and drop, then click on “Save categories order” button.').'</p>';
+			echo '<p class="hidden-if-no-js">'.__('To rearrange categories order, move items by drag and drop, then click on “Save categories order” button.').'</p>';
 		}
 		echo
-		'<p><span class="hidden-if-no-js">'.
+		'<p class="hidden-if-no-js">'.
 		'<input type="hidden" id="categories_order" name="categories_order" value=""/>'.
 		'<input type="submit" name="save_order" id="save-set-order" value="'.__('Save categories order').'" />'.
-		'</span> ';
-	} else {
-		echo '<p>';
-	}
-
-	echo
-	'<input type="submit" class="reset" name="reset" value="'.__('Reorder all categories on the top level').'" />'.
+		'</p>';
+	}
+
+	echo
+	'<p class="hidden-if-js right"><input type="submit" name="reset" value="'.__('Reorder all categories on the top level and delete selected categories').'" />'.
+	$core->formNonce().'</p>'.
+	'<p class="hidden-if-no-js"><input type="submit" name="reset" value="'.__('Reorder all categories on the top level').'" />'.
 	$core->formNonce().'</p>'.
 	'</div></form>';
Index: admin/comment.php
===================================================================
--- admin/comment.php	(revision 1972)
+++ admin/comment.php	(revision 1719)
@@ -195,5 +195,5 @@
 		$comment_mailto = '<a href="mailto:'.html::escapeHTML($comment_email)
 		.'?subject='.rawurlencode(sprintf(__('Your comment on my blog %s'),$core->blog->name))
-		.'&amp;body='
+		.'&body='
 		.rawurlencode(sprintf(__("Hi!\n\nYou wrote a comment on:\n%s\n\n\n"),$rs->getPostURL()))
 		.'">'.__('Send an e-mail').'</a>';
Index: admin/comments.php
===================================================================
--- admin/comments.php	(revision 1999)
+++ admin/comments.php	(revision 1905)
@@ -66,5 +66,5 @@
 $show_filters = false;
 
-$page = !empty($_GET['page']) ? max(1,(integer) $_GET['page']) : 1;
+$page = !empty($_GET['page']) ? (integer) $_GET['page'] : 1;
 $nb_per_page =  30;
 
Index: admin/help.php
===================================================================
--- admin/help.php	(revision 1933)
+++ admin/help.php	(revision 1839)
@@ -97,7 +97,4 @@
 echo $content_array['content'];
 
-// Prevents global help link display
-$GLOBALS['__resources']['ctxhelp'] = true;
-
 dcPage::close();
 ?>
Index: admin/install/index.php
===================================================================
--- admin/install/index.php	(revision 1949)
+++ admin/install/index.php	(revision 1765)
@@ -29,5 +29,5 @@
 if ($dlang != 'en')
 {
-	l10n::init($dlang);
+	l10n::init();
 	l10n::set(dirname(__FILE__).'/../../locales/'.$dlang.'/date');
 	l10n::set(dirname(__FILE__).'/../../locales/'.$dlang.'/main');
Index: admin/install/wizard.php
===================================================================
--- admin/install/wizard.php	(revision 1949)
+++ admin/install/wizard.php	(revision 1744)
@@ -38,5 +38,5 @@
 if ($dlang != 'en')
 {
-	l10n::init($dlang);
+	l10n::init();
 	l10n::set(dirname(__FILE__).'/../../locales/'.$dlang.'/main');
 }
Index: admin/js/_blog_pref.js
===================================================================
--- admin/js/_blog_pref.js	(revision 2019)
+++ admin/js/_blog_pref.js	(revision 1782)
@@ -16,16 +16,6 @@
 
 $(function() {
-	if( $('#blog_url').length > 0 ) {
-		checkQueryString();
-		$('#blog_url').focusout(checkQueryString);
-		$('body').on('change','#url_scan',checkQueryString);
-	}
-
-	$('#date_format_select,#time_format_select').change(function() {
-		if ($(this).prop('value') == '') {
-			return;
-		}
-		$('#'+$(this).attr('id').replace('_select','')).prop('value', $(this).prop('value'));
-		$(this).parent().next('.chosen').html($(this).find(':selected').prop('label'));
-	});
+	checkQueryString();
+	$('#blog_url').focusout(checkQueryString);
+	$('body').on('change','#url_scan',checkQueryString);
 });
Index: admin/js/_blog_theme.js
===================================================================
--- admin/js/_blog_theme.js	(revision 2033)
+++ admin/js/_blog_theme.js	(revision 3)
@@ -65,5 +65,5 @@
 		details.removeClass('theme-selected');
 		$(e).addClass('theme-selected');
-		$('input:radio',e).prop('checked',true);
+		$('input:radio',e).attr('checked','checked');
 	}
 	
Index: admin/js/_categories.js
===================================================================
--- admin/js/_categories.js	(revision 1953)
+++ admin/js/_categories.js	(revision 1595)
@@ -14,6 +14,15 @@
 	}
 
-	$('input[name^="delete"]').click(function() {
-		return window.confirm(dotclear.msg.confirm_delete_category.replace('%s',$(this).parent().find('label a').text()));
+	$('.checkboxes-helpers').each(function() {
+		dotclear.checkboxesHelpers(this);
+	});
+
+	$('input[name="delete"]').click(function() {
+		var nb_ckecked = $('input[name="categories[]"]:checked').length;
+		if (nb_ckecked==0) {
+			return false;
+		}
+
+		return window.confirm(dotclear.msg.confirm_delete_categories.replace('%s',nb_ckecked));
 	});
 
Index: admin/js/_media.js
===================================================================
--- admin/js/_media.js	(revision 1952)
+++ admin/js/_media.js	(revision 1852)
@@ -68,5 +68,5 @@
 			}).bind('fileuploaddone', function(e, data) {
 				if (data.result.files[0].html !==undefined) {
-					$('.media-list .files-group').append(data.result.files[0].html);
+					$('.media-list p.clear').before(data.result.files[0].html);
 				}
 				$('.button.clean',me).show();
Index: admin/js/_post.js
===================================================================
--- admin/js/_post.js	(revision 1936)
+++ admin/js/_post.js	(revision 1832)
@@ -191,4 +191,8 @@
 			hide: $('#post_notes').val() == ''
 		});
+		$('#create_cat').toggleWithLegend($('#create_cat').parent().children().not('#create_cat'),{
+			// no cookie on new category as we don't use this every day
+			legend_click: true
+		});
 		$('#post_lang').parent().children('label').toggleWithLegend($('#post_lang'),{
 			user_pref: 'dcx_post_lang',
@@ -212,10 +216,6 @@
 			legend_click: true
 		});
-		$('#label_cat_id').toggleWithLegend($('#label_cat_id').parent().children().not('#label_cat_id'),{
-			user_pref: 'dcx_cat_id',
-			legend_click: true
-		});
-		$('#create_cat').toggleWithLegend($('#create_cat').parent().children().not('#create_cat'),{
-			// no cookie on new category as we don't use this every day
+		$('#cat_id').parent().children('label').toggleWithLegend($('#cat_id'),{
+			user_pref: 'cat_id',
 			legend_click: true
 		});
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 1994)
+++ admin/js/common.js	(revision 1862)
@@ -69,5 +69,7 @@
 		fn: false, // A function called on first display,
 		user_pref: false,
-		reverse_user_pref: false // Reverse cookie behavior
+		reverse_user_pref: false, // Reverse cookie behavior
+		user_pref:false,
+		reverse_user_pref: false
 	};
 	var p = jQuery.extend(defaults,s);
@@ -179,6 +181,6 @@
 	var sizeBox = function() {
 		This.css('height','auto');
-		if ($('#wrapper').height() > This.height()) {
-			This.css('height',$('#wrapper').height() + 'px');
+		if ($('#main').height() > This.height()) {
+			This.css('height',$('#main').height() + 'px');
 		}
 	};
@@ -221,19 +223,4 @@
 
 	$('#content').append(img);
-	
-	// listen for scroll
-	var peInPage = $('#help-button').offset().top;
-	$('#help-button').addClass("floatable");
-	var peInFloat = $('#help-button').offset().top;
-	$('#help-button').removeClass("floatable");
-	$(window).scroll(
-		function() {
-			if ($(window).scrollTop() >= peInPage - peInFloat ) {
-				$('#help-button').addClass("floatable");
-			} else {
-				$('#help-button').removeClass("floatable");
-			}
-		}
-	);
 
 	return this;
@@ -365,5 +352,5 @@
 	$('#wrapper').contents().each(function() {
 		if (this.nodeType==8) {
-			$('#footer a[href!="help.php"]').attr('title', $('#footer a[href!="help.php"]').attr('title') + this.data );
+			$('#footer a').attr('title', $('#footer a').attr('title') + this.data );
 		}
 	});
@@ -433,5 +420,5 @@
             hideSidebar();
         }
-    });
+    }).css('height', objSeparator.parent().parent().parent().outerHeight() + 'px');
 	if ( $.cookie('sidebar-pref') == 'hide-mm' ){
 		objMain.addClass('hide-mm');
@@ -439,3 +426,4 @@
 		objMain.removeClass('hide-mm');
 	}
+
 });
